Subject: bug#58917: 28.2; Arm Build on Mac OS Monterey: Buffer Name is on the same line as Tool Bar Icons

From: Po Lu <[email-masked]>
Date: Sun, 13 Nov 2022 12:45:57 +0800

Stefan Kangas <[email-masked]> writes:

> The linked thread suggests some solutions:
>
>     It looks like you can change the default setting for whether or not
>     the title (for Emacs, it's the buffer name) is over the toolbar with
>
>         defaults write -g NSWindowSupportsAutomaticInlineTitle -bool false
>
>     [...]
>
>     I think that something like the following code change to Emacs in
>     the right place would change the default appearance always:
>
>     if ( [NSToolbar instancesRespondToSelector:@selector(setToolbarStyle:)])
>         [win setToolbarStyle: NSWindowToolbarStyleExpanded];
>
>     for an NSWindow object win at an appropriate time.
>
> There is also a link to:
>
>     https://apple.stackexchange.com/questions/408475/revert-ui-on-big-sur
>
> But people are also commenting that this no longer works on Monterey
> (a.k.a. macOS 12, the latest version).  It is not clear to me if this
> refers to the code change, or to the "defaults write" command only:
>
>     Just an update for others who stumble across this: this setting
>     seems to have been removed in Monterey (12.0). It doesn't work for
>     me any longer, and that seems consistent with some other new web
>     searches turning up similar results.
>
> Perhaps we should test doing something like the code above, and if that
> works make it into a defcustom?  If that's not possible for some reason,
> perhaps it should be documented in PROBLEMS?
>
> I don't really do Objective-C or macOS development, so I can't help with
> this, I'm afraid.  I'm happy to test a solution if someone were to write
> up a patch though.

Right.  The other question is whether or not we actually want to mess
with how Apple dictates the tool bar must be placed.